
From: Paul Mackerras <paulus@samba.org>

This patch is from John Rose <johnrose@austin.ibm.com>.

EEH scans the system I/O adapters at boot for EEH-capabilities.  If no
EEH-capable adapters are found, the subsystem is marked disabled for the life
of the system.  EEH should allow dynamic enabling of the EEH subsystem when
hotplug-adding an adapter.

Signed-off-by: John Rose <johnrose@austin.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/eeh.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/eeh.c~ppc64-allow-dynamic-enablement-of-eeh arch/ppc64/kernel/eeh.c
--- 25/arch/ppc64/kernel/eeh.c~ppc64-allow-dynamic-enablement-of-eeh	2005-03-07 20:41:26.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/eeh.c	2005-03-07 20:41:26.000000000 -0800
@@ -824,7 +824,7 @@ void eeh_add_device_early(struct device_
 	struct pci_controller *phb;
 	struct eeh_early_enable_info info;
 
-	if (!dn || !eeh_subsystem_enabled)
+	if (!dn)
 		return;
 	phb = dn->phb;
 	if (NULL == phb || 0 == phb->buid) {
_
